{
  plugins = {
    web-devicons.enable = true;
    neo-tree = {
      enable = true;
      window.width = 30;
      filesystem.followCurrentFile.enabled = true;
      filesystem.bindToCwd = true;
      sourceSelector = {
        #statusline = true;
        winbar = true;
        separator = {
          left = "";
          right = "";
        };
      };
    };
  };


  # default keybinds
  #    window = {
  #   mappings = {
  #      ["<bs>"] = "navigate_up",
  #      ["."] = "set_root",
  #      ["H"] = "toggle_hidden",
  #      ["/"] = "fuzzy_finder",
  #      ["D"] = "fuzzy_finder_directory",
  #      ["#"] = "fuzzy_sorter", -- fuzzy sorting using the fzy algorithm
  #      -- ["D"] = "fuzzy_sorter_directory",
  #      ["f"] = "filter_on_submit",
  #      ["<c-x>"] = "clear_filter",
  #      ["[g"] = "prev_git_modified",
  #      ["]g"] = "next_git_modified",
  #      ["o"] = {
  #        "show_help",
  #        nowait = false,
  #        config = { title = "Order by", prefix_key = "o" },
  #      },
  #      ["oc"] = { "order_by_created", nowait = false },
  #      ["od"] = { "order_by_diagnostics", nowait = false },
  #      ["og"] = { "order_by_git_status", nowait = false },
  #      ["om"] = { "order_by_modified", nowait = false },
  #      ["on"] = { "order_by_name", nowait = false },
  #      ["os"] = { "order_by_size", nowait = false },
  #      ["ot"] = { "order_by_type", nowait = false },
  #      -- ['<key>'] = function(state) ... end,
  #    },
  #    fuzzy_finder_mappings = { -- define keymaps for filter popup window in fuzzy_finder_mode
  #      ["<down>"] = "move_cursor_down",
  #      ["<C-n>"] = "move_cursor_down",
  #      ["<up>"] = "move_cursor_up",
  #      ["<C-p>"] = "move_cursor_up",
  #      ["<esc>"] = "close",
  #      ["<S-CR>"] = "close_keep_filter",
  #      ["<C-CR>"] = "close_clear_filter",
  #      ["<C-w>"] = { "<C-S-w>", raw = true },
  #      {
  #        -- normal mode mappings
  #        n = {
  #          ["j"] = "move_cursor_down",
  #          ["k"] = "move_cursor_up",
  #          ["<S-CR>"] = "close_keep_filter",
  #          ["<C-CR>"] = "close_clear_filter",
  #          ["<esc>"] = "close",
  #        }
  #      }
  #      -- ["<esc>"] = "noop", -- if you want to use normal mode
  #      -- ["key"] = function(state, scroll_padding) ... end,
  #    },
  #  },
}
